Package org.jcsp.plugNplay.ints

# Class SubstituteInt

java.lang.Object
org.jcsp.plugNplay.ints.SubstituteInt

All Implemented Interfaces:
  `CSProcess`

public final class SubstituteInt extends Object implements CSProcess
Substitutes a user-configured constant for each integer in the stream flowing through.

## Process Diagram

## Description

`SubstituteInt` is a process that substitutes the (constant) `n` with which it is configured for everything recieved on its `in` channel. So, its output stream has constant values but its rate of flow is triggered by its input.

## Channel Protocols

Input Channels
in | int | All channels in this package carry integers.
Output Channels
out | int | All channels in this package carry integers.

Author:
  P.H. Welch and P.D. Austin

## Constructor Summary

Constructors
Constructor
Description
`SubstituteInt(ChannelInputInt in, ChannelOutputInt out, int n)`
Construct a new SubstituteInt process.

## Method Summary

Modifier and Type
Method
Description
`void`
`run()`
The main body of this process.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SubstituteInt

public SubstituteInt(ChannelInputInt in, ChannelOutputInt out, int n)
Construct a new SubstituteInt process.

Parameters:
  `in` - the input Channel
  `out` - the output Channel
  `n` - the integer to be sent down the out Channel.

## Method Details

### run

public void run()
The main body of this process.

Specified by:
  `run` in interface `CSProcess`